component-section
  div(slot='title') Inleiding
  p Welkom bij de deeltijdmodule ASD! 🙂
  p ASD bestaat uit de volgende courses:
  ul
    li
      p
        a(href='ADP/') Algoritmes, datastructuren en programmeertalen (ADP)
    li
      p
        a(href='SKA/') Softwarekwaliteit- en architectuur (SKA)
    li
      p
        a(href='OP/') Onderzoek naar performance (OP)
  p Vergeleken met de voorgaande modules, leer je in ASD software ontwikkelen vanuit een abstracter denkniveau.
    | Bij SKA werk je op macroschaal, en overweeg je ook zakelijke aspecten zoals belangen.
    | Bij ADP werk je juist op microschaal, maar zoek je de abstractie op met behulp van informatica (algoritmiek, datastructuren, computationele complexiteit).
    | Voor OP breng je beide vormen van abstractie samen.
  p
    | Een officiële beschrijving van deze module, de courses erin en bijbehorende
    |
    strong toetsen
    |
    | vind je op iSAS.
    | Er is geen aftrap.
    | De
    |
    strong voorgeschreven bronnen en hulpmiddelen
    |
    | die je eventueel nog moet kopen vind je ook op iSAS.
  component-section
    div(slot='title') Ingangseisen
    p De module of het semester OOSE moet je vooraf hebben behaald.
    | Je moet zeer programmeervaardig zijn en goed kunnen en willen werken met alle geavanceerde tooling die een hbo-softwareontwikkelaar gebruikt, zoals IDE’s, frameworks, enzovoort.
    | Je moet in staat en bereid zijn om onbekende programmeertalen te leren en andere programmeertalen toe te passen dan je al gewend bent van je werk en de opleiding.
    | Je moet onder tijdsdruk en zonder startbroncode computationele programmeeropdrachten kunnen uitprogrammeren.
    | (De inhoud van specifieke deeltentamens en courses binnen de module wisselt van jaar tot jaar, en een zinnige subset van deeltentamens of courses die de ingangseisen voldoende dekt is niet goed te bepalen.)
  component-section
    div(slot='title') Moduleteam
    p
      | De coördinator van de module ASD en de courses is
      a(href='https://eur.delve.office.com/?u=e765a925-c1f8-45f4-ad80-368635c69808&v=work') Sander Maijers
      | .
      | Je docent voor ADP is Sander. Je docent voor SKA is
      a(href='https://eur.delve.office.com/?u=86b7a33b-2b1c-4ef0-bdc1-26f256481290&v=work') Ronald Schellekens
      | .
      | Sander en Ronald zijn samen je beoordelaars voor OP.
component-section
  div(slot='title') Didactiek en logistiek
  component-section
    div(slot='title') Courses
    p
      | De eerste periode volg je SKA.
      | De tweede ADP.
      | OP bestaat uit een individuele projectopdracht een presentatie daarover, en heeft geen les.
      | Je leert de kennis en vaardigheden voor OP bij ADP en SKA.
      | Je moet zelfstandig en al meteen beginnen aan OP, anders krijg je die course niet af.
  component-section
    div(slot='title') Planning
    p
      | Het onderwijsschema, waarin alle lessen, toetsen, enzovoort gepland staan, lees je in een spreadsheet in het Teams-lesteam.
      | Je docent verwacht dat je tijdens de lesweken ook al werkt aan je toetsen (zeker de beroepsproducten, want die zijn groot).
  component-section
    div(slot='title') Werkvorm
    p
      | De ADP en SKA hebben twee bijeenkomsten per week: op dinsdagavond een online les, en op donderdagavond een fysiek les.
      | Alle
      |
      strong lessen
      |
      | hebben voorbereiding nodig van jou.
      | Neem thuis de leermaterialen alvast door vóór de les.
      | Stel vragen meteen, zichtbaar voor de hele klas, via Teams.
      | Je docent en medestudent(en) kunnen je dan antwoord geven.
      | (Je docent werkt in principe niet in het weekend of op andere avonden.)
    p
      | De courses maken veel gebruik van
      |
      strong oefenopdrachten
      | .
      | Soms zijn dit opdrachten waarop je docent vraaggestuurd extra uitleg geeft, soms opdrachten die standaard in een les besproken worden.
      | Soms zijn de opdrachten individueel, soms voor een groep.
      | De eigenschappen van opdracht staan erbij vermeld.
      | Tijdens de les kan je gevraagd worden jouw uitwerking toe te lichten.
      | Je docent is tijdens lessen in ieder geval live beschikbaar voor vraaggestuurde individuele begeleiding, waar daar tijd voor is.
      | Anders kan je een (online) afspraak proberen te maken.
      | (Vanwege de andere verplichtingen van je docent kan het zijn dat hij beperkt beschikbaar is, en alleen tijdens kantoortijden.)
      | Alle oefenopdrachten zijn online, waardoor ze centraal worden ingeleverd en geanalyseerd, en soms automatisch beoordeeld.
      | Hiervoor gebruiken we
      |
      a(href='https://www.ans.app/') Ans
      | .
    p
      | Vanuit de opleiding is er ook een mogelijkheid voor een persoonlijk
      |
      em leerarrangement
      | .
      | Dit houdt in dat je je eigen tempo kan aanhouden.
      | Helaas zijn om praktische redenen (tijd, regels, planning) de mogelijkheden vooralsnog beperkt.
      | Heb je wensen en ideeën hierover, praat er dan over met je docent, die het af zal stemmen met de coördinator.
    component-section
      div(slot='title') Werk als student
      p Naast de deeltentamens afronden, heb je als student de volgende taken:
      table#table_soortenwerkalsstudent
        caption
          | Soorten werk als student.
        tbody.align
          tr
            td
            th(scope='col')
              p Oefenopdrachten
            th(scope='col')
              p Opdrachten en presentaties
            th(scope='col')
              p Tentamens
          tr
            th(scope='row')
              p Waar lezen
            td
              p Vanuit de website.
            td
              p Vanuit de website.
            td
              p Vanaf geprojecteerd scherm in klaslokaal.
          tr
            th(scope='row')
              p Wanneer doen
            td
              p Doorlopend.
                | Advies: rond de opdrachten af ruim vóór de volgende les.
            td
              p Vanaf start ASD, tot deadline in toetsrooster (strikt).
            td
              p Om de paar lesweken (zie toetsrooster).
          tr
            th(scope='row')
              p Inleveren en beoordeling
            td
              p Insturen op Ans.
              p
                | ⬜ Tellen
                |
                em niet
                |
                | mee.
              p Zelfbeoordeling met voorbeeldantwoorden op Ans.
            td
              p Uploaden in iSAS.
              p
                | ✅ Tellen
                |
                em wel
                |
                | mee.
              p
                | Zelf- en docentbeoordeling met het beoordelingsformulier op deze website.
                | Mondeling assessment op afspraak om begrip en echtheid te bepalen van het ingeleverde.
            td
              p
                | Op papier uitwerken en bij docent afgeven (schriftelijk tentamen, maar tijdens les).
              p
                | ✅ Tellen
                |
                em wel
                |
                | mee.
              p Docentbeoordeling met het beoordelingsformulier op deze website.
          tr
            th(scope='row')
              p Begeleiding
            td
              p Vooraf gestelde vragen.
              p Uitleg tijdens les (bij aangegeven opdrachten).
              p Individueel achteraf eventueel verdere toelichting.
            td
              p Commentaar vooraf (op afspraak).
              p Individueel achteraf met beoordelingsformulier.
            td
              p Vooraf gestelde vragen.
              p Statistieken over prestatie klas achteraf gedeeld.
              p Individueel achteraf inzage (op afspraak).
  component-section
    div(slot='title') Vindplaatsen van info
    p
      | Het startpunt is
      // TODO: Update hyperlink.
      a(href='#') jullie lesteam
      | .
    p
      | Vanuit deze studiehandleiding volg je je lessen, en word je doorverwezen naar overige leermaterialen, het
      | onderwijsschema, enzovoort
    p
      | Je beoordelingen, toetsinschrijvingen, enz. vind je nog als vanouds terug in iSAS en Alluris.
    p Adobe Connect en OnderwijsOnline gebruiken we niet.
  component-section
    div(slot='title') Regels en tips
    p
      | Altijd zijn er een aantal regels en slimmere manieren om iets te doen vermeldenswaardig geweest voor ons
      | onderwijs.
    component-section
      div(slot='title') Omgaan met software
      p
        | Zorg ervoor dat je de software die we gebruiken goed kent.
        | Zelfs als je gewend bent om het vanzelf uit te vogelen, is het een slimme investering van je tijd om toch eerst even een handleiding of tips door te lezen.
        | Dat geldt zeker voor Microsoft Teams.
      ol
        li
          a(href='https://avepointcdn.azureedge.net/pdfs/en/Etiquette-in-Teams-eBook.pdf') Teams
        li
          a(href='https://www.gitpod.io/docs/') Visual Studio Code
    component-section
      div(slot='title') Op tijd zijn en aanwezigheid
      ul
        li
          p Kom je te laat, dan eindig je mogelijk in de Teams-lobby/wachtkamer.
        li
          p
            | Aanwezigheid is niet verplicht, maar als er opnames zijn van de online lessen betekent dat niet dat je net zo goed weg kan blijven.
            | Ook in de online lessen ben je bezig en met anderen in interactie.
    component-section
      div(slot='title') Hulp vragen, communiceren en iets bijdragen
      ul
        li
          p
            | 👤 Stel een goede pasfoto in als
            a(
              href='https://support.microsoft.com/nl-nl/office/uw-foto-wijzigen-in-teams-7a711943-9248-420e-b814-c071aa8d9b9c') profielfoto voor Office 365
            | , dan is voor iedereen duidelijker wie je bent.
        li
          p
            | 📬 Lees je HAN-mailbox in Outlook via
            a(href='https://office365.han.nl') Office 365
            | , niet alleen je privé-e-mailbox (die vroeger als enige werd gebruikt door studenten).
            | Volg
            a(
              href='https://www1.han.nl/insite/rondomdestudie/Onderwijs_op_afstand_volgend.xml?sitedir=/insite/rondomdestudie') de raad op van de HAN over online werken
            | .
            | Volg deze bron ook eerst als je technische problemen ervaart.
        li
          p
            | 🙋 Stel gerust een vraag bij onduidelijkheden.
            | Wacht niet te veel af.
            | Beter een privébericht bij twijfel/onzekerheid dan helemaal niets vragen.
        li
          p
            | 👨‍🏫 Spreek je docent aan met ‘je’ en zijn voornaam (tutoyeer).
            | Dat zal je waarschijnlijk ook bij je chef doen.
            | Blijf wel altijd zakelijk en respectvol.
        li
          p
            | ✋ Alleen als je de ‘hand omhoog’ functie gebruikt in Teams krijg je aandacht van je docent, omdat het in de gaten houden van de chatbox en tegelijk presenteren niet vlot gaat.
        li
          p
            | 🎙️ Vervolgens bepaalt je docent of je microfoon ontdempt wordt of dat je je vraag als bericht moet stellen.
        li
          p
            | Wil je broncode delen om een probleem te kunnen lossen, dan moet het een
            span.bron
              a(href='http://sscce.org/') SSCCE
            |
            | zijn.
        li
          p
            | ⤵ Stel je vraag in het kanaal binnen het lesteam (ADP, OP, SKA) waarop de vraag het meest betrekking heeft.
        li
          p
            | 🧾 Stel vragen heel precies en logisch gestructureerd.
            | Liever overdreven precies dan vaag.
        li
          p
            | E-mail of bel je docent alsjeblieft niet als je via Microsoft Teams (💬 of 📲) contact kan opnemen.
            | Stel alle vragen die niet strikt persoonlijk zijn in het lesteam in plaats van in een privégesprek.
            | Op die manier krijg je ook sneller antwoord.
        li
          p
            | 💪 Last but not least: zoek de samenwerking met je klasgenoten.
            | Zeker aangezien alles online is.
            | Het is prima om samen te werken aan de opgaven (aan de toetsen is een ander verhaal), zolang je zelf ook alles snapt wat je inlevert.
    component-section
      div(slot='title') Afleidingen tijdens (video)gesprekken
      p
        | Zorg ervoor dat als je camera of microfoon aanstaat, je de anderen niet afleidt.
        | Rook bijvoorbeeld geen (e-)sigaret en speel niet met dingen (zoals je telefoon) in beeld.
        | Wil je roken of iets anders doen, stel dat uit tot de pauzes.
        | Komt er onverhoopt en onverwacht toch iets storends in beeld of is dat te horen, demp dan meteen je camera en/of microfoon.
    component-section
      div(slot='title') Privacy
      ul
        li
          p
            | 📹 Zet je videocamera graag aan als dat meerwaarde heeft voor jou, je docent of je klasgenoten.
            | Anders uit, om bandbreedte te besparen.
            | Je docent dwingt je niet om je camera aan te zetten, maar doe je het wel dan geef je toestemming, ook voor eventuele opname.
        li
          p
            | 🤵 Als je camera aanstaat moet je erbij zitten zoals je anders fysiek erbij zou zitten.
        li
          p
            | 🤵 De online lessen worden in de regel niet opgenomen, zodat zo min mogelijk studenten zich geremd voelen om actief deel te nemen.
            | Je eigen docent kan beredeneerd en aangekondigd van deze regel afwijken.
            | In dat geval kan je, als je dat belangrijk vindt, zelf je videocamera uit laten.
    component-section
      div(slot='title') Berichten/messaging/chat
      ul
        li
          p Lees éérst goed wat er al geschreven is.
        li
          p
            | Wacht even tot anderen een punt oppakken, zeker als je al vaak aan de beurt bent geweest.
        li
          p
            | Gebruik bij voorkeur reactie-icoontjes in plaats van nieuwe berichten te schrijven (
            q +1
            | , enzovoort).
component-section
  div(slot='title') Randvoorwaarden
  p Om ASD succesvol te kunnen doorlopen, gelden de volgende randvoorwaarden.
  ol
    li
      | Je voldoet aan de ingangsvereisten van de courses die je volgt (zie de coursebeschrijvingen op iSAS).
    li
      | Je bent ingeschreven als student voor de courses die je volgt, en je studiecontract klopt nog.
    li Je bent ingeschreven voor het Microsoft Teams-lesteam.
    li Je hebt voortdurend een Internetverbinding.
component-section
  div(slot='title') Legenda leermaterialen
  p
    | In de leermaterialen hanteert het moduleteam de volgende iconen en andere conventies:
  table
    caption
      | Legenda leermaterialen.
    thead
      tr
        th#element Element
        th#betekenis Betekenis
    tbody
      // TODO: apply.
      tr
        td
          p 📖
        td
          p Les.
      tr
        td
          p
            component-criterion(codes='["Leeruitkomstcode"]')
              | Leeruitkomst
        td
          p
            | Leeruitkomst.
            | Verbonden aan lesdoelen.
            | Vastgelegd in de onderwijsbeschrijving (OER).
      tr
        td
          p.bron
        td
          p Bestudeer deze bron.
      tr
        td
          component-exercise
            p
        td
          p Basisopgave.
      tr
        td
          component-exercise(together='')
            p
        td
          p Samenopgave.
      tr
        td
          p
            strong begrip
        td
          p Onder leeruitkomsten: belangrijk begrip, eerste vermelding.
      tr
        td
          p
            em.term begrip
        td
          p Belangrijk begrip.
      tr
        td
          p
            cite(data-id='6867189/36G9SCWF')
        td
          p Verwijzing volgens IEEE-verwijzingsstijl.
      tr
        td
          p.praktijk
        td
          p Verband met de praktijk.
      tr
        td
          p.extra
        td
          p Extra verdieping, geen getoetste leerinhoud.
      tr
        td
          component-gradingcriteria
        td
          p Beoordelingscriteria.
      tr
        td
          p
            code.lang-java int
        td
          p Broncode-element, met de programmeertaal als subscript.
